- API reference
- Notetaker
- Return Notetaker media links
https://api.us.nylas.com/v3/grants/{grant_id}/notetakers/{notetaker_id}/mediaReturn Notetaker media links
Returns a list of links to media generated by the specified Notetaker bot.
Works with an API key or an IAM API key with the notetakers.read permission.
Path parameters
ID of the grant to access. You can also use the email address associated with the grant, or use /me/
to refer to the grant associated with an access token.
"[email protected]"dataobjectThe media files for a Notetaker. Each file is present only if Nylas generated it. The recording, transcript, summary, and action items also require the matching Notetaker setting.
1703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
1704297600Multi-Status. Returns the available Notetaker media in the same format as a 200 response, and
lists the enabled files that Nylas couldn't generate in data.errors.
dataobjectThe media files for a Notetaker. Each file is present only if Nylas generated it. The recording, transcript, summary, and action items also require the matching Notetaker setting.
1703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
17042976001703088000expires_atnumberWhen the file will be deleted from the Nylas servers, in seconds using the Unix timestamp format.
1704297600Gone. The requested media has been deleted after exceeding the Notetaker's
retention period. The response body is a plain-text string. Re-downloading is
not possible — see Notetaker retention policies
for details on configuring retention_time.
"media deleted"Rate limited. The provider or Nylas throttled the request. If a provider throttles a request and
says how long to wait, the Retry-After header gives that number of seconds. When the header
is missing, retry with exponential backoff. See
429 rate limit errors by provider.